#include <bits/stdc++.h>
using namespace std;

struct Node{
    int val;
    bool del;
    pair<int, int> prv;
};

const int N = 200005;
const int M = 15;
Node dp[N][M];

int main()
{
    string T;
    cin >> T;
    string S;
    cin >> S;
    cout << 1 << "\n";
    cout << "randomtekst\n";
    return 0;
}